-- File-Revision: 26
-- Range Checker


function rangeCheck_OnUpdate (self, elapsed)
  local rangeTimer = self.rangeTimer;
  local icon = self.icon
  
  if (rangeTimer == TOOLTIP_UPDATE_TIME) then  -- it was just updated
    local valid = IsActionInRange(self.action);
    if ( valid == false) then
      icon:SetVertexColor(1.0,0.1,0.1);
    else
      local isUsable, notEnoughMana = IsUsableAction(self.action);
      if ( isUsable ) then
        icon:SetVertexColor(1.0, 1.0, 1.0);
      elseif ( notEnoughMana ) then
        icon:SetVertexColor(0.5, 0.5, 1.0);
      else
        icon:SetVertexColor(0.4, 0.4, 0.4);
      end
    end
    local hotkey = _G[self:GetName().."HotKey"];
    if ( hotkey:GetText() == RANGE_INDICATOR ) then
      hotkey:Hide();
    else
      hotkey:SetVertexColor(1.0, 1.0, 1.0);
    end
  end
end

do 
  hooksecurefunc("ActionButton_OnUpdate",rangeCheck_OnUpdate);
end